Bug 1688747 - [osp15] default deployment is not HA
Summary: [osp15] default deployment is not HA
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 15.0 (Stein)
Hardware: All
OS: All
urgent
urgent
Target Milestone: beta
: 15.0 (Stein)
Assignee: Emilien Macchi
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-14 11:04 UTC by Michele Baldessari
Modified: 2019-09-26 10:48 UTC (History)
3 users (show)

Fixed In Version: openstack-tripleo-heat-templates-10.4.1-0.20190405200404.b0596e2.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:20:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:20:47 UTC

Description Michele Baldessari 2019-03-14 11:04:51 UTC
Description of problem:
We need the equivalent of https://code.engineering.redhat.com/gerrit/#/c/139135/ for osp15 otherwise we get the non-ha implementation by default which is undesired.

Comment 3 Sasha Smolyak 2019-04-22 10:34:11 UTC
(undercloud) [stack@undercloud-0 ~]$ cat /usr/share/openstack-tripleo-heat-templates/plan-environment.yaml 
version: 1.0

name: overcloud
description: >
  Default Deployment plan
template: overcloud.yaml
environments:
  - path: overcloud-resource-registry-puppet.yaml
  - path: environments/docker-ha.yaml


(undercloud) [stack@undercloud-0 ~]$ cat /usr/share/openstack-tripleo-heat-templates/environments/docker-ha.yaml 
# Environment file to deploy the HA services via docker
# Add it *after* -e docker.yaml:
# ...deploy..-e docker.yaml -e docker-ha.yaml
resource_registry:
  # Pacemaker runs on the host
  # FIXME(bogdando): switch it, once it is containerized
  OS::TripleO::Services::Pacemaker: ../puppet/services/pacemaker.yaml
  # FIXME(bogdando): switch it, once it is containerized
  OS::TripleO::Services::PacemakerRemote: ../puppet/services/pacemaker_remote.yaml
  OS::TripleO::Tasks::ControllerPreConfig: OS::Heat::None
  OS::TripleO::Tasks::ControllerPostConfig: OS::Heat::None

  # Services that are disabled for HA deployments with pacemaker
  OS::TripleO::Services::Keepalived: OS::Heat::None

  # HA Containers managed by pacemaker
  OS::TripleO::Services::CinderVolume: ../deployment/cinder/cinder-volume-pacemaker-puppet.yaml
  OS::TripleO::Services::Clustercheck: ../deployment/pacemaker/clustercheck-container-puppet.yaml
  OS::TripleO::Services::HAproxy: ../deployment/haproxy/haproxy-pacemaker-puppet.yaml
  OS::TripleO::Services::MySQL: ../deployment/database/mysql-pacemaker-puppet.yaml
  OS::TripleO::Services::OsloMessagingRpc: ../deployment/rabbitmq/rabbitmq-messaging-rpc-pacemaker-puppet.yaml
  OS::TripleO::Services::OsloMessagingNotify: ../deployment/rabbitmq/rabbitmq-messaging-notify-shared-puppet.yaml
  OS::TripleO::Services::Redis: ../deployment/database/redis-pacemaker-puppet.yaml
  OS::TripleO::Services::OVNDBs: ../deployment/ovn/ovn-dbs-pacemaker-puppet.yaml

parameter_defaults:
  ContainerCli: podman

Verified

Comment 6 errata-xmlrpc 2019-09-21 11:20:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.